Products
List products
Retrieves information for products; products can be filtered within a date range and by product type. The response contains product information in a Product, up to 50 Products ordered by their modification date (modifiedOn), and supports dynamic cursors for pagination.
query Parameters
modifiedAfterTime-boxes the request to Products that were modified after a given ISO 8601 UTC date and time string (YYYY-MM-DDThh:mm:ss.sZ). Required when modifiedBefore is passed; cannot be used with cursor.
modifiedBeforeTime-boxes the request to Products that were modified before a given ISO 8601 UTC date and time string (YYYY-MM-DDThh:mm:ss.sZ). Required when modifiedAfter is passed; cannot be used with cursor.
cursorIdentifies where the next page of results should begin. Should be the value of pagination.nextPageCursor from a previous response. Cannot be used with other parameters.
queryOptional search query to filter products.
typeIdentifies the type(s) of products to retrieve. Should be a comma-delimited list of product types. Cannot be used with cursor.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
List products › Responses
A paginated list of products.
Create product
Creates a product with appropriate subresources based on product type. A successful request creates a Product with appropriate subresources based on product type.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
Create product › Request Body
storePageIdIdentifier of the product's Store Page.
typeProduct type indicator. Value may be: PHYSICAL or DIGITAL.
List of variants of the product. Array must contain at least one object but no more than 100 objects.
descriptionLong-form product description represented in HTML.
isVisibleIndicates whether the product is available for purchase. If not specified, the new product is marked as Hidden.
nameProduct name.
Present for DIGITAL products only. Digital products don't have variants, so pricing is at the product level.
tagsKeywords for search and organization purposes.
urlSlugURL slug for the new product. Value can only consist of alphanumeric characters and non-contiguous hyphens.
variantAttributesList of attributes to distinguish variants of the product. Supported for PHYSICAL products only.
Create product › Responses
The created product.
createdOnISO 8601 UTC date and time string; represents when the Product was created.
descriptionLong-form product description represented in HTML.
Present for DIGITAL products only.
idUnique Product id.
List of product images.
isVisibleIndicates whether the product is available for purchase.
modifiedOnISO 8601 UTC date and time string; represents when the Product was last modified.
nameProduct name.
Present for DIGITAL products only. Digital products don't have variants, so pricing is at the product level.
Options for search engine optimization.
storePageIdIdentifier of the product's Store Page.
tagsKeywords for search and organization purposes.
typeProduct type indicator. Value may be: PHYSICAL or DIGITAL.
urlAbsolute URL of the product details page.
urlSlugURL slug for the new product.
variantAttributesList of attributes to distinguish variants of the product. Present for PHYSICAL products only.
List of variants of the product. Present for PHYSICAL and GIFT_CARD products only.
Get products
Retrieves information for specific products, including information for any variants or images. Up to 50 products can be retrieved per request.
path Parameters
productIdCsvsSpecifies the Products to retrieve. Multiple Products can be retrieved by providing a comma-separated list: {id1},{id2}...
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
Get products › Responses
The requested products.
Update product
Updates information for a product. The endpoint supports partial updates.
path Parameters
productIdSpecifies the Product to update.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
Update product › Request Body
Optional; HTTPS URL to receive webhook notifications.
Optional; HTTPS URL to receive webhook notifications.
Pricing data for the product.
Optional; list of event topics that trigger a webhook notification. Possible values include: extension.uninstall, order.create, order.update.
Options for search engine optimization.
Optional; list of event topics that trigger a webhook notification. Possible values include: extension.uninstall, order.create, order.update.
Optional; HTTPS URL to receive webhook notifications.
Update product › Responses
The updated product.
createdOnISO 8601 UTC date and time string; represents when the Product was created.
descriptionLong-form product description represented in HTML.
Present for DIGITAL products only.
idUnique Product id.
List of product images.
isVisibleIndicates whether the product is available for purchase.
modifiedOnISO 8601 UTC date and time string; represents when the Product was last modified.
nameProduct name.
Present for DIGITAL products only. Digital products don't have variants, so pricing is at the product level.
Options for search engine optimization.
storePageIdIdentifier of the product's Store Page.
tagsKeywords for search and organization purposes.
typeProduct type indicator. Value may be: PHYSICAL or DIGITAL.
urlAbsolute URL of the product details page.
urlSlugURL slug for the new product.
variantAttributesList of attributes to distinguish variants of the product. Present for PHYSICAL products only.
List of variants of the product. Present for PHYSICAL and GIFT_CARD products only.
Delete product
Deletes the specified product.
path Parameters
productIdSpecifies the Product to delete.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
Delete product › Responses
No content. The product was deleted successfully.
Upload product image
Uploads an image for a product. Uploading an image doesn't set the product's featured image. A successful request creates a ProductImage subresource of the Product.
path Parameters
productIdSpecifies the Product that will own the ProductImage.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
Upload product image › Responses
The request was accepted and the uploaded image is being processed.
imageIdUnique ProductImage id.
Update product image
Updates information for a product image. Currently, the endpoint only supports updates to the alt text for an image.
path Parameters
productIdSpecifies the Product that owns the ProductImage.
imageIdSpecifies the ProductImage to update.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
Update product image › Responses
The updated product image.
altTextAlt text for the image; impacts SEO and appears in search results.
availableFormatsAvailable image sizes. Use with images.url and a format query parameter to retrieve the image at a particular width.
idUnique ProductImage id.
orderIndexPosition of the image in the product's image list.
originalSizeImage size when first uploaded.
urlAbsolute URL of the image hosted on Squarespace.
Delete product image
Deletes the specified product image.
path Parameters
productIdSpecifies the Product that owns the ProductImage.
imageIdSpecifies the ProductImage to delete.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
Delete product image › Responses
No content. The product image was deleted successfully.
Update product image order
Updates the ordering of a product image on the product details page.
path Parameters
productIdSpecifies the Product that owns the ProductImage.
imageIdSpecifies the ProductImage to reorder.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
Update product image order › Responses
No content. The image order was updated successfully.
Get image processing status
Retrieves the processing status for an uploaded product image. A successful request indicates that a ProductImage is processing, ready, or in an error state.
path Parameters
productIdSpecifies the Product that owns the ProductImage.
imageIdSpecifies the ProductImage to check the status for.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
Get image processing status › Responses
The processing status for the product image.
idstatusCreate product variant
Creates a variant of a product. Creating a variant for a physical or service product requires that the product already has at least one attribute.
path Parameters
productIdSpecifies the Product that will own the ProductVariant.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
Create product variant › Request Body
Present for DIGITAL products only. Digital products don't have variants, so pricing is at the product level.
skuMerchant-defined code that identifies the product variant. Value must be unique among variants. Leading and trailing whitespace is removed.
Specifies attribute-value pairs for the variant. 100 char limit per key and per value with no more than six key-value pairs. Supported for PHYSICAL products only.
Measurements of the variant when it's shipped. Present for PHYSICAL products only.
Available stock for the variant. Present for PHYSICAL products only.
Create product variant › Responses
The created product variant.
attributesSpecifies attribute-value pairs for the variant. Present for PHYSICAL products only.
idUnique ProductVariant id.
Product image assigned to the variant.
Present for DIGITAL products only. Digital products don't have variants, so pricing is at the product level.
Measurements of the variant when it's shipped. Present for PHYSICAL products only.
skuMerchant-defined code that identifies the product variant.
Available stock for the variant. Present for PHYSICAL products only.
Update product variant
Updates a variant of a product. The endpoint supports partial updates.
path Parameters
productIdSpecifies the Product that owns the ProductVariant.
variantIdSpecifies the ProductVariant to update.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
Update product variant › Request Body
Specifies attribute-value pairs for the variant. Supported for PHYSICAL products only.
Pricing data for the product.
Measurements of the variant when it's shipped. Supported for PHYSICAL products only.
Optional; HTTPS URL to receive webhook notifications.
Update product variant › Responses
The updated product variant.
attributesSpecifies attribute-value pairs for the variant. Present for PHYSICAL products only.
idUnique ProductVariant id.
Product image assigned to the variant.
Present for DIGITAL products only. Digital products don't have variants, so pricing is at the product level.
Measurements of the variant when it's shipped. Present for PHYSICAL products only.
skuMerchant-defined code that identifies the product variant.
Available stock for the variant. Present for PHYSICAL products only.
Delete product variant
Deletes the specified product variant.
path Parameters
productIdSpecifies the Product that owns the ProductVariant.
variantIdSpecifies the ProductVariant to delete.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
Delete product variant › Responses
No content. The product variant was deleted successfully.
Associate variant image
Assigns a product image to a product variant. Specifying imageId of null will delete the association.
path Parameters
productIdSpecifies the Product that owns the ProductVariant.
variantIdSpecifies the ProductVariant to assign the image to.
Headers
AuthorizationAPI key or OAuth access token
User-AgentUser Agent
Associate variant image › Request Body
Optional; HTTPS URL to receive webhook notifications.
Associate variant image › Responses
No content. The image was associated successfully.